Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::accumulate_fn Struct Reference

## Public Member Functions
template<typename I , typename S , typename T , typename Op = plus, typename P = ident, requires = (Sentinel<S, I>() && Accumulateable<I, T, Op, P>())>
T | operator() (I begin, S end, T init, Op op=Op{}, P proj=P{}) const
template<typename Rng , typename T , typename Op = plus, typename P = ident, typename I = iterator_t<Rng>, requires = (Range<Rng>() && Accumulateable<I, T, Op, P>())>
T | operator() (Rng &&rng, T init, Op op=Op{}, P proj=P{}) const